: Interface ViewedFolder

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.view
Interface ViewedFolder

All Known Subinterfaces:
  ViewedStore

All Known Implementing Classes:
  grendel.view.ViewedFolderBase

public abstract interface ViewedFolder

Method Summary
`ViewedFolder` | `getFirstSubFolder()` Returns the first subfolder of this folder.
`javax.mail.Folder` | `getFolder()` Returns the associated folder
`int` | `getMessageCount()` Get cached message count data, since some protocols will hit the server for each call.
`java.lang.String` | `getName()` Returns the name of the associated folder
`ViewedFolder` | `getNextFolder()` Returns the next folder at this level.
`ViewedFolder` | `getParentFolder()` Returns the parent folder.
`int` | `getUndeletedMessageCount()` Get cached undeleted message count, since some protocols will hit the server for each call.
`int` | `getUnreadMessageCount()` Get cached unread count, since some protocols will hit the server for each call.
`ViewedFolder` | `getViewedFolder(javax.mail.Folder aFolder)` Returns the ViewedFolder associated with the given folder.
`ViewedStore` | `getViewedStore()` Returns the associated session
`boolean` | `isInbox()` Returns whether this is an inbox or not

Method Detail

### getFolder

    public javax.mail.Folder getFolder()

  Returns the associated folder

### getName

    public java.lang.String getName()

  Returns the name of the associated folder

### getViewedFolder

    public ViewedFolder getViewedFolder(javax.mail.Folder aFolder)
                                 throws javax.mail.MessagingException

  Returns the ViewedFolder associated with the given folder. The Folder object inside the ViewedFolder may not be the same as the object passed in, but it will always represent the same folder

### getMessageCount

    public int getMessageCount()

  Get cached message count data, since some protocols will hit the server for each call.

### getUnreadMessageCount

    public int getUnreadMessageCount()

  Get cached unread count, since some protocols will hit the server for each call.

### getUndeletedMessageCount

    public int getUndeletedMessageCount()

  Get cached undeleted message count, since some protocols will hit the server for each call.

### getNextFolder

    public ViewedFolder getNextFolder()

  Returns the next folder at this level.

### getFirstSubFolder

    public ViewedFolder getFirstSubFolder()

  Returns the first subfolder of this folder.

### getParentFolder

    public ViewedFolder getParentFolder()

  Returns the parent folder. Returns null for the default folder for a session.

### getViewedStore

    public ViewedStore getViewedStore()

  Returns the associated session

### isInbox

    public boolean isInbox()

  Returns whether this is an inbox or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD